Preguntas con respuestas sobre "npm"

243 preguntas, página #1

4

votos

1

respuestas

vistas 298

¿Cómo se gestionan los paquetes npm en nodeter?

No entiendo cómo se administran los paquetes de nodos en nodester. Cuando ejecuto nodester npm install de CLI No veo ningún paquete en la carpeta de origen de mi aplicación. Sin estos paquetes visibles en mi carpeta, ¿puedo usarlos de la forma habitual (como si los hubiera instalado en mi carpeta de aplicaciones...

preguntado 10 años, 1 meses

343

votos

16

respuestas

vistas 397,992

¿Cómo puedo cambiar la versión de npm usando nvm?

He estado usando NVM para instalar las últimas versiones de nodeJS para mi trabajo de nodo. Funciona totalmente bien para instalar versiones separadas y cambiar entre ellas. También instala la última versión de NPM dentro de cada carpeta local .../bin junto con el binario del nodo. Sin embargo, no parece haber...

preguntado 10 años, 2 meses

18

votos

3

respuestas

vistas 30,875

package.json no está instalando dependencias al ejecutar npm install

Creé un archivo package.json para mi aplicación privada. En él, tengo mis dependencias enumeradas, como se esperaba. Algunas de esas dependencias tienen dependencias propias. Cuando ejecuto npm install en mi aplicación, no está instalando las dependencias de mis dependencias. ¿Le pasa algo a mi...

preguntado 10 años, 2 meses

13

votos

2

respuestas

vistas 2,723

¿Hay alguna forma de generar la lista bundledDependencies automáticamente?

Tengo una aplicación que estoy implementando en Nodejitsu. Recientemente, sufrieron problemas de npm que hicieron que mi aplicación se desconectara durante varias horas después de que intenté (y fallé) reiniciarla, ya que no se pudieron instalar sus dependencias. Me dijeron que esto podría evitarse en el futuro enumerando todos mis...

preguntado 10 años, 2 meses

355

votos

15

respuestas

vistas 367,654

error de recepción: 'Error: Error de SSL: SELF_SIGNED_CERT_IN_CHAIN' mientras se usa npm

Estoy usando npm v1.0.104 / node 0.6.12 en ubuntu: recibo el error copiado a continuación al intentar instalar nuevos módulos a través de npm (probé socket.io anteriormente usando http, no https y me pregunto si eso podría han dado como resultado el problema con certificados npm / unsigned). Aparece el error ...

preguntado 10 años, 2 meses

7

votos

3

respuestas

vistas 7,299

package.json para diferentes entornos?

Tengo una aplicación node.js que acabo de implementar en Heroku que depende del módulo de lienzo. Sin embargo, ese módulo requiere la biblioteca de gráficos cairo y, para abreviar, necesito usar una versión precompilada que se incluye con este tenedor de lienzo. ...

preguntado 10 años, 2 meses

10

votos

2

respuestas

vistas 3,989

npm instala git bifurcado con submódulo

Estoy tratando de hacer que npm instale node-gitteh como una dependencia a través de npm install que lee desde package.json. Desafortunadamente, este paquete npm está roto en el nodo 0.6.x, pero no hay problema, ya que hay un repositorio bifurcado que soluciona los problemas (https://github.com/hughsk/node-gitteh.git). ...

preguntado 10 años, 2 meses